<?php

/**
 * Template part for displaying Audio Format
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Charity Aid
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class() ?> >

	<?php
		// Get the post ID
		$charity_aid_post_id = get_the_ID();

		// Check if there are audio embedded in the post content
		$charity_aid_post = get_post($charity_aid_post_id);
		$charity_aid_content = do_shortcode(apply_filters('the_content', $charity_aid_post->post_content));
		$charity_aid_embeds = get_media_embedded_in_content($charity_aid_content);

		if (!empty($charity_aid_embeds)) {
			// Loop through embedded media and display only audio
			foreach ($charity_aid_embeds as $charity_aid_embed) {
				// Check if the embed code contains an audio tag or specific audio providers like SoundCloud
				if (strpos($charity_aid_embed, 'audio') !== false || strpos($charity_aid_embed, 'soundcloud') !== false) {
					?>
					<div class="custom-embedded-audio">
						<div class="media-container">
							<?php echo $charity_aid_embed; ?>
						</div>
						<div class="media-comments">
							<?php
							// Add your comments section here
							comments_template(); // This will include the default WordPress comments template
							?>
						</div>
					</div>
					<?php
				}
			}
		}
	?>

	<div class="entry-content">
		<header class="entry-header">
			<?php 
				charity_aid_entry_header();
				the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
			?>
		</header>

		<div class="entry-meta">
			<?php charity_aid_post_meta(); ?>
		</div>
		
		<div class="entry-text">
			<?php
				$charity_aid_excerpt_limit = get_theme_mod('charity_aid_excerpt_limit', 50);
				echo "<p>" . wp_trim_words(get_the_excerpt(), $charity_aid_excerpt_limit) . "</p>";
			?>
		</div>

		<?php charity_aid_edit_link(); ?>

	</div>
	
</article>